package com.loan.system.service;

import com.loan.system.domain.dto.ContractDTO;
import com.loan.system.domain.entity.Contract;
import com.loan.system.domain.vo.ContractVO;

import java.util.List;

public interface ContractService {
    Contract saveContract(ContractDTO contract);

    Contract findContractByCaseIdAndBusinessAttr(Long caseId, String businessAttr, boolean b);

    void updateContractById(Long id, ContractDTO contract, boolean isDelete);

    List<ContractVO> findContractByCaseId(Long caseId);

    void updateContractById1(Long contractId, Long commitedId,Long signId);

    void updateIsPushById(Long contractId);

    List<ContractVO> findContractByCaseIdAndIsPush(Long caseId, boolean isPush);

    void deleteAllByCaseId(Long caseId);

    void updateContractNoById(Long id, String contractNo);
}
